#
# spec file for package perl-Carp-Clan-Share (Version 0.013)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Carp-Clan-Share
Version:        0.013
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name Carp-Clan-Share
Summary:        Share your Carp::Clan settings with your whole Clan
Url:            http://search.cpan.org/dist/Carp-Clan-Share/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/R/RK/RKRIMEN/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp::Clan)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(Carp::Clan)
%{perl_requires}

%description
This is a very lightweight helper module (actually just an import method)
that will automagically create a __PACKAGE__::Carp module for you.

Any arguments passed to the import (e.g. via use) method are forwarded
along to Carp::Clan.

NOTE: If you use this from a package ending with ::Carp, then it will use
the parent of of that package as the target namespace

    package My::Namespace::Carp;
    
    use Carp::Clan::Share;

    package My::Namespace::Module

    use My::Namespace::Carp; # Acts like "use Carp::Clan qw/^My::Namespace::/;"

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 0.013
  * created by cpanspec 1.78.04
